Subject: Lazy fp switches

From: [email-masked]
Date: Sun, 5 Apr 1998 12:13:14 +0200

I'm going to commit some more patches in some seconds which will fix a bad
bug in fp context switching and add lazy switching of the fp context.
Finally there is a nice speedup for the signal overhead down to a bit less
than 8us.

Lazy switching needs some more polishing, we could handle fp for signals
more intelligent and we also to port the changes to the R3000.  While I was
in the hope that the changes make a visible impact on the context switching
times this unfortunately isn't measurable.  Whatever, theory says it's
faster, so it stays in.

  Ralf